Xalan-Java 2.7.1: Class DOM2DTMdefaultNamespaceDeclarationNode

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xml.dtm.ref.dom2dtm
Class DOM2DTMdefaultNamespaceDeclarationNode

    java.lang.Object
      |
      +--org.apache.xml.dtm.ref.dom2dtm.DOM2DTMdefaultNamespaceDeclarationNode

public class DOM2DTMdefaultNamespaceDeclarationNode
extends java.lang.Object
implements Attr, TypeInfo

This is a kluge to let us shove a declaration for xml: into the DOM2DTM model. Basically, it creates a proxy node in DOM space to carry the additional information. This is _NOT_ a full DOM implementation, and shouldn't be one since it sits alongside the DOM rather than becoming part of the DOM model. (This used to be an internal class within DOM2DTM. Moved out because I need to perform an instanceof operation on it to support a temporary workaround in DTMManagerDefault.) %REVIEW% What if the DOM2DTM was built around a DocumentFragment and there isn't a single root element? I think this fails that case... %REVIEW% An alternative solution would be to create the node _only_ in DTM space, but given how DOM2DTM is currently written I think this is simplest.

Method Summary
`Node` | `appendChild(Node a)`
`Node` | `cloneNode(boolean deep)`
`short` | `compareDocumentPosition(Node other)` Compares a node with this node with regard to their position in the document.
`NamedNodeMap` | `getAttributes()`
`java.lang.String` | `getBaseURI()` The absolute base URI of this node or `null` if undefined.
`NodeList` | `getChildNodes()`
`java.lang.Object` | `getFeature(java.lang.String feature, java.lang.String version)` This method returns a specialized object which implements the specialized APIs of the specified feature and version.
`Node` | `getFirstChild()`
`int` | `getHandleOfNode()` Non-DOM method, part of the temporary kluge %REVIEW% This would be a pruning problem, but since it will always be added to the root element and we prune on elements, we shouldn't have to worry.
`Node` | `getLastChild()`
`java.lang.String` | `getLocalName()`
`java.lang.String` | `getName()`
`java.lang.String` | `getNamespaceURI()`
`Node` | `getNextSibling()`
`java.lang.String` | `getNodeName()`
`short` | `getNodeType()`
`java.lang.String` | `getNodeValue()`
`Document` | `getOwnerDocument()`
`Element` | `getOwnerElement()`
`Node` | `getParentNode()`
`java.lang.String` | `getPrefix()`
`Node` | `getPreviousSibling()`
`TypeInfo` | `getSchemaTypeInfo()`
`boolean` | `getSpecified()`
`java.lang.String` | `getTextContent()` This attribute returns the text content of this node and its descendants.
`java.lang.String` | `getTypeName()`
`java.lang.String` | `getTypeNamespace()`
`java.lang.Object` | `getUserData(java.lang.String key)` Retrieves the object associated to a key on a this node.
`java.lang.String` | `getValue()`
`boolean` | `hasAttributes()`
`boolean` | `hasChildNodes()`
`Node` | `insertBefore(Node a, Node b)`
`boolean` | `isDefaultNamespace(java.lang.String namespaceURI)` DOM Level 3: Experimental This method checks if the specified `namespaceURI` is the default namespace or not.
`boolean` | `isDerivedFrom(java.lang.String ns, java.lang.String localName, int derivationMethod)`
`boolean` | `isEqualNode(Node arg)` Tests whether two nodes are equal.
`boolean` | `isId()`
`boolean` | `isSameNode(Node other)` Returns whether this node is the same node as the given one.
`boolean` | `isSupported(java.lang.String feature, java.lang.String version)`
`java.lang.String` | `lookupNamespaceURI(java.lang.String specifiedPrefix)` DOM Level 3 - Experimental: Look up the namespace URI associated to the given prefix, starting from this node.
`java.lang.String` | `lookupPrefix(java.lang.String namespaceURI)` DOM Level 3 - Experimental: Look up the prefix associated to the given namespace URI, starting from this node.
`void` | `normalize()`
`Node` | `removeChild(Node a)`
`Node` | `replaceChild(Node a, Node b)`
`void` | `setNodeValue(java.lang.String value)`
`void` | `setPrefix(java.lang.String value)`
`void` | `setTextContent(java.lang.String textContent)` This attribute returns the text content of this node and its descendants.
`java.lang.Object` | `setUserData(java.lang.String key, java.lang.Object data, UserDataHandler handler)` Associate an object to a key on this node.
`void` | `setValue(java.lang.String value)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getNodeName

    public java.lang.String getNodeName()

### getName

    public java.lang.String getName()

  Specified by:
    getName in interface Attr

### getNamespaceURI

    public java.lang.String getNamespaceURI()

### getPrefix

    public java.lang.String getPrefix()

### getLocalName

    public java.lang.String getLocalName()

### getNodeValue

    public java.lang.String getNodeValue()

### getValue

    public java.lang.String getValue()

  Specified by:
    getValue in interface Attr

### getOwnerElement

    public Element getOwnerElement()

  Specified by:
    getOwnerElement in interface Attr

### isSupported

    public boolean isSupported(java.lang.String feature,
                               java.lang.String version)

### hasChildNodes

    public boolean hasChildNodes()

### hasAttributes

    public boolean hasAttributes()

### getParentNode

    public Node getParentNode()

### getFirstChild

    public Node getFirstChild()

### getLastChild

    public Node getLastChild()

### getPreviousSibling

    public Node getPreviousSibling()

### getNextSibling

    public Node getNextSibling()

### getSpecified

    public boolean getSpecified()

  Specified by:
    getSpecified in interface Attr

### normalize

    public void normalize()

### getChildNodes

    public NodeList getChildNodes()

### getAttributes

    public NamedNodeMap getAttributes()

### getNodeType

    public short getNodeType()

### setNodeValue

    public void setNodeValue(java.lang.String value)

### setValue

    public void setValue(java.lang.String value)

  Specified by:
    setValue in interface Attr

### setPrefix

    public void setPrefix(java.lang.String value)

### insertBefore

    public Node insertBefore(Node a,
                             Node b)

### replaceChild

    public Node replaceChild(Node a,
                             Node b)

### appendChild

    public Node appendChild(Node a)

### removeChild

    public Node removeChild(Node a)

### getOwnerDocument

    public Document getOwnerDocument()

### cloneNode

    public Node cloneNode(boolean deep)

### getHandleOfNode

    public int getHandleOfNode()

  Non-DOM method, part of the temporary kluge %REVIEW% This would be a pruning problem, but since it will always be added to the root element and we prune on elements, we shouldn't have to worry.

### getTypeName

    public java.lang.String getTypeName()

  Specified by:
    getTypeName in interface TypeInfo
  See Also:
    `TypeInfo.getTypeName()`

### getTypeNamespace

    public java.lang.String getTypeNamespace()

  Specified by:
    getTypeNamespace in interface TypeInfo
  See Also:
    `TypeInfo.getTypeNamespace()`

### isDerivedFrom

    public boolean isDerivedFrom(java.lang.String ns,
                                 java.lang.String localName,
                                 int derivationMethod)

  Specified by:
    isDerivedFrom in interface TypeInfo
  See Also:
    `or.gw3c.dom.TypeInfo#isDerivedFrom(String,String,int)`

### getSchemaTypeInfo

    public TypeInfo getSchemaTypeInfo()

  Specified by:
    getSchemaTypeInfo in interface Attr

### isId

    public boolean isId()

  Specified by:
    isId in interface Attr

### setUserData

    public java.lang.Object setUserData(java.lang.String key,
                                        java.lang.Object data,
                                        UserDataHandler handler)

  Associate an object to a key on this node. The object can later be retrieved from this node by calling `getUserData` with the same key.
  Parameters:
    `key` - The key to associate the object to.
    `data` - The object to associate to the given key, or `null` to remove any existing association to that key.
    `handler` - The handler to associate to that key, or `null`.
  Returns:
    Returns the `DOMObject` previously associated to the given key on this node, or `null` if there was none.
  Since:
    DOM Level 3

### getUserData

    public java.lang.Object getUserData(java.lang.String key)

  Retrieves the object associated to a key on a this node. The object must first have been set to this node by calling `setUserData` with the same key.
  Parameters:
    `key` - The key the object is associated to.
  Returns:
    Returns the `DOMObject` associated to the given key on this node, or `null` if there was none.
  Since:
    DOM Level 3

### getFeature

    public java.lang.Object getFeature(java.lang.String feature,
                                       java.lang.String version)

  This method returns a specialized object which implements the specialized APIs of the specified feature and version. The specialized object may also be obtained by using binding-specific casting methods but is not necessarily expected to, as discussed in Mixed DOM implementations.
  Parameters:
    `feature` - The name of the feature requested (case-insensitive).
    `version` - This is the version number of the feature to test. If the version is `null` or the empty string, supporting any version of the feature will cause the method to return an object that supports at least one version of the feature.
  Returns:
    Returns an object which implements the specialized APIs of the specified feature and version, if any, or `null` if there is no object which implements interfaces associated with that feature. If the `DOMObject` returned by this method implements the `Node` interface, it must delegate to the primary core `Node` and not return results inconsistent with the primary core `Node` such as attributes, childNodes, etc.
  Since:
    DOM Level 3

### isEqualNode

    public boolean isEqualNode(Node arg)

  Tests whether two nodes are equal.
  This method tests for equality of nodes, not sameness (i.e., whether the two nodes are references to the same object) which can be tested with `Node.isSameNode`. All nodes that are the same will also be equal, though the reverse may not be true.
  Two nodes are equal if and only if the following conditions are satisfied: The two nodes are of the same type.The following string attributes are equal: `nodeName`, `localName`, `namespaceURI`, `prefix`, `nodeValue` , `baseURI`. This is: they are both `null`, or they have the same length and are character for character identical. The `attributes` `NamedNodeMaps` are equal. This is: they are both `null`, or they have the same length and for each node that exists in one map there is a node that exists in the other map and is equal, although not necessarily at the same index.The `childNodes` `NodeLists` are equal. This is: they are both `null`, or they have the same length and contain equal nodes at the same index. This is true for `Attr` nodes as for any other type of node. Note that normalization can affect equality; to avoid this, nodes should be normalized before being compared.
  For two `DocumentType` nodes to be equal, the following conditions must also be satisfied: The following string attributes are equal: `publicId`, `systemId`, `internalSubset`.The `entities` `NamedNodeMaps` are equal.The `notations` `NamedNodeMaps` are equal.
  On the other hand, the following do not affect equality: the `ownerDocument` attribute, the `specified` attribute for `Attr` nodes, the `isWhitespaceInElementContent` attribute for `Text` nodes, as well as any user data or event listeners registered on the nodes.
  Parameters:
    `arg` - The node to compare equality with.
    `deep` - If `true`, recursively compare the subtrees; if `false`, compare only the nodes themselves (and its attributes, if it is an `Element`).
  Returns:
    If the nodes, and possibly subtrees are equal, `true` otherwise `false`.
  Since:
    DOM Level 3

### lookupNamespaceURI

    public java.lang.String lookupNamespaceURI(java.lang.String specifiedPrefix)

  DOM Level 3 - Experimental: Look up the namespace URI associated to the given prefix, starting from this node. Use lookupNamespaceURI(null) to lookup the default namespace
  Parameters:
    `namespaceURI` -
  Returns:
    th URI for the namespace
  Since:
    DOM Level 3

### isDefaultNamespace

    public boolean isDefaultNamespace(java.lang.String namespaceURI)

  DOM Level 3: Experimental This method checks if the specified `namespaceURI` is the default namespace or not.
  Parameters:
    `namespaceURI` - The namespace URI to look for.
  Returns:
    `true` if the specified `namespaceURI` is the default namespace, `false` otherwise.
  Since:
    DOM Level 3

### lookupPrefix

    public java.lang.String lookupPrefix(java.lang.String namespaceURI)

  DOM Level 3 - Experimental: Look up the prefix associated to the given namespace URI, starting from this node.
  Parameters:
    `namespaceURI` -
  Returns:
    the prefix for the namespace

### isSameNode

    public boolean isSameNode(Node other)

  Returns whether this node is the same node as the given one.
  This method provides a way to determine whether two `Node` references returned by the implementation reference the same object. When two `Node` references are references to the same object, even if through a proxy, the references may be used completely interchangably, such that all attributes have the same values and calling the same DOM method on either reference always has exactly the same effect.
  Parameters:
    `other` - The node to test against.
  Returns:
    Returns `true` if the nodes are the same, `false` otherwise.
  Since:
    DOM Level 3

### setTextContent

    public void setTextContent(java.lang.String textContent)
                        throws DOMException

  This attribute returns the text content of this node and its descendants. When it is defined to be null, setting it has no effect. When set, any possible children this node may have are removed and replaced by a single `Text` node containing the string this attribute is set to. On getting, no serialization is performed, the returned string does not contain any markup. No whitespace normalization is performed, the returned string does not contain the element content whitespaces . Similarly, on setting, no parsing is performed either, the input string is taken as pure textual content.
  The string returned is made of the text content of this node depending on its type, as defined below:

  Node type | Content
  --- | ---
  ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, DOCUMENT_FRAGMENT_NODE | concatenation of the `textContent` attribute value of every child node, excluding COMMENT_NODE and PROCESSING_INSTRUCTION_NODE nodes
  ATTRIBUTE_NODE, TEXT_NODE, CDATA_SECTION_NODE, COMMENT_NODE, PROCESSING_INSTRUCTION_NODE | `nodeValue`
  DOCUMENT_NODE, DOCUMENT_TYPE_NODE, NOTATION_NODE | null

  Throws:
    DOMException - NO_MODIFICATION_ALLOWED_ERR: Raised when the node is readonly.
    DOMException - DOMSTRING_SIZE_ERR: Raised when it would return more characters than fit in a `DOMString` variable on the implementation platform.
  Since:
    DOM Level 3

### getTextContent

    public java.lang.String getTextContent()
                                    throws DOMException

  This attribute returns the text content of this node and its descendants. When it is defined to be null, setting it has no effect. When set, any possible children this node may have are removed and replaced by a single `Text` node containing the string this attribute is set to. On getting, no serialization is performed, the returned string does not contain any markup. No whitespace normalization is performed, the returned string does not contain the element content whitespaces . Similarly, on setting, no parsing is performed either, the input string is taken as pure textual content.
  The string returned is made of the text content of this node depending on its type, as defined below:

  Node type | Content
  --- | ---
  ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, DOCUMENT_FRAGMENT_NODE | concatenation of the `textContent` attribute value of every child node, excluding COMMENT_NODE and PROCESSING_INSTRUCTION_NODE nodes
  ATTRIBUTE_NODE, TEXT_NODE, CDATA_SECTION_NODE, COMMENT_NODE, PROCESSING_INSTRUCTION_NODE | `nodeValue`
  DOCUMENT_NODE, DOCUMENT_TYPE_NODE, NOTATION_NODE | null

  Throws:
    DOMException - NO_MODIFICATION_ALLOWED_ERR: Raised when the node is readonly.
    DOMException - DOMSTRING_SIZE_ERR: Raised when it would return more characters than fit in a `DOMString` variable on the implementation platform.
  Since:
    DOM Level 3

### compareDocumentPosition

    public short compareDocumentPosition(Node other)
                                  throws DOMException

  Compares a node with this node with regard to their position in the document.
  Parameters:
    `other` - The node to compare against this node.
  Returns:
    Returns how the given node is positioned relatively to this node.
  Since:
    DOM Level 3

### getBaseURI

    public java.lang.String getBaseURI()

  The absolute base URI of this node or `null` if undefined. This value is computed according to . However, when the `Document` supports the feature "HTML" , the base URI is computed using first the value of the href attribute of the HTML BASE element if any, and the value of the `documentURI` attribute from the `Document` interface otherwise.
  When the node is an `Element`, a `Document` or a a `ProcessingInstruction`, this attribute represents the properties [base URI] defined in . When the node is a `Notation`, an `Entity`, or an `EntityReference`, this attribute represents the properties [declaration base URI] in the . How will this be affected by resolution of relative namespace URIs issue?It's not.Should this only be on Document, Element, ProcessingInstruction, Entity, and Notation nodes, according to the infoset? If not, what is it equal to on other nodes? Null? An empty string? I think it should be the parent's.No.Should this be read-only and computed or and actual read-write attribute?Read-only and computed (F2F 19 Jun 2000 and teleconference 30 May 2001).If the base HTML element is not yet attached to a document, does the insert change the Document.baseURI? Yes. (F2F 26 Sep 2001)
  Since:
    DOM Level 3

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Apache XML Project. All Rights Reserved.